#3141 Cannot install toolset under Windows 7 Enterprise

v3.8
fixed
nobody
None
2014-02-04
2012-11-15
No

My corporate machine was reimaged and now I cannot install Wix. It keeps trying to find directories/files under temp which are not there. I have tried opening up permissions and running as admin from cmd prompt to no avail.

[1FB8:25F0][2012-11-15T17:17:16]i000: Caching bundle from: 'C:\Users\xjm31bh\AppData\Local\Temp{4ccd4ace-4189-4a70-9549-e0211bc108f7}.be\WiX37.exe' to: 'C:\ProgramData\Package Cache{4ccd4ace-4189-4a70-9549-e0211bc108f7}\WiX37.exe'
[1FB8:25F0][2012-11-15T17:17:16]i320: Registering bundle dependency provider: {4ccd4ace-4189-4a70-9549-e0211bc108f7}, version: 3.7.1113.0
[0850:2018][2012-11-15T17:17:16]w343: Prompt for source of package: Wix, payload: Wix, path: C:\Users\xjm31bh\Downloads\data\core.msi
[0850:2018][2012-11-15T17:17:16]i338: Acquiring package: Wix, payload: Wix, download from: http://wixtoolset.org/releases/3.7.1113.0/data/core.msi
[1FB8:215C][2012-11-15T17:17:16]i305: Verified acquired payload: Wix at path: C:\ProgramData\Package Cache.unverified\Wix, moving to: C:\ProgramData\Package Cache{752B53B6-72A1-466B-ABAF-AF2392B3C246}v3.7.1113.0\data\core.msi.
[1FB8:215C][2012-11-15T17:17:16]e000: Error 0x80070002: Failed to move verified file to complete payload path: C:\ProgramData\Package Cache{752B53B6-72A1-466B-ABAF-AF2392B3C246}v3.7.1113.0\data\core.msi
[1FB8:215C][2012-11-15T17:17:16]e000: Error 0x80070002: Failed to cache payload: Wix
[0850:2018][2012-11-15T17:17:16]e314: Failed to cache payload: Wix from working path: C:\Users\xjm31bh\AppData\Local\Temp{4ccd4ace-4189-4a70-9549-e0211bc108f7}\Wix, error: 0x80070002.

Discussion

  • Bob Arnson

    Bob Arnson - 2012-11-16

    Please attach the complete log so formatting's not lost.

     
  • Paul M. Suchko

    Paul M. Suchko - 2012-11-16

    Here is a log from PROCMON so you can see what is going on with the OS

     
  • Rob Mensching

    Rob Mensching - 2012-11-26

    Thank you for the information thus far. This is a rare bug that we have not been able to reproduce locally. The .pml file is useful but unfortunately does not show what deletes the required file because it filters to the wix37.exe. Can you capture another .pml file that shows all interactions in the TEMP folder matching the bundle id. For the build you attempted this was: C:\Users\xjm31bh\AppData\Local\Temp{4ccd4ace-4189-4a70-9549-e0211bc108f7}.

    Additionally, the WiX toolset log file you uploaded seems to be corrupted. Can you provide a new log file matching the .pml file.

    With your help, hopefully we can track down this elusive bug.

     
  • Rob Mensching

    Rob Mensching - 2012-12-20
    • milestone: v3.7 --> v3.8
     
  • Taliesin Walker

    Taliesin Walker - 2013-06-07

    Hi,

    My team have also hit a road block with this. I will attach Process Monitor and Wix install logs. One possible clue is that one person who does not have Windows 7 SP1 installed (they're using Windows 7 RTM) does not get the error.

    System info:

    OS Name Microsoft Windows 7 Enterprise
    Version 6.1.7601 Service Pack 1 Build 7601
    System Model HP EliteBook 8540w
    System Type x64-based PC
    Processor Intel(R) Core(TM) i7 CPU Q 820 @ 1.73GHz, 1734 Mhz, 4 Core(s), 8 Logical Processor(s)
    BIOS Version/Date Hewlett-Packard 68CVD Ver. F.0E, 25/11/2010
    Windows Directory C:\Windows
    System Directory C:\Windows\system32
    Locale United States
    User Name SYMC\Taliesin_Walker
    Time Zone India Standard Time

     
    Last edit: Taliesin Walker 2013-06-07
  • Rob Mensching

    Rob Mensching - 2013-08-18
    • status: open --> fixed
     
  • Rob Mensching

    Rob Mensching - 2013-08-18

    This is fixed in next WiX v3.8 build.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks